@echo off

rem Enter the path to the SUN JAVA executable in the following line if it is
rem not in your PATH environment variable !

set JAVAHOME=

rem Enter the path to the DeViSoR subdirectory in the following line if this 
rem batch file is not in the BIN\ subdirectory of the DeViSoR directory:

set DEVISORHOME=.

rem --------------------------------------------------------------------------
set PATH=%JAVAHOME%;%PATH%
set CLASSPATH=.;%DEVISORHOME;%CLASSPATH%
cd %DEVISORHOME%
if exist devisorgrid.java goto SOURCEFOUND

echo ! ERROR !
echo Can't find DeViSoR source code !
echo Please execute this file in the directory of the DeViSoR !
pause
goto FATALSTOP

:SOURCEFOUND

if "%1"=="FORCEBUILD" goto BUILD
if exist devisorgrid.class goto EXECUTE

:BUILD

echo Clearing old installation...
call clear_classfiles.bat

echo Compiling DeViSoR...
call rebuild_devisor.bat

if exist devisorgrid.class goto EXECUTE

echo ! ERROR !
echo Can't compile DeViSoR ! Make sure that your PATH environment variable
echo contains the directory of the files JAVA.EXEa nd JAVAC.EXE !
pause
goto FATALSTOP

:EXECUTE

java -Ddevisorgrid.home=%DEVISORHOME% devisorgrid

:FATALSTOP
